# Filter
Date: 2013-02-18

## org.simpleframework.xml.filter
Interface Filter

All Known Implementing Classes:
  EnvironmentFilter, MapFilter, PlatformFilter, StackFilter, SystemFilter

    public interface Filter

The `Filter` object is used to provide replacement string values for a provided key. This allows values within the XML source document to be replaced using sources such as OS environment variables and Java system properties.

All filtered variables appear within the source text using a template and variable keys marked like `${example}`. When the XML source file is read all template variables are replaced with the values provided by the filter. If no replacement exists then the XML source text remains unchanged.

Author:
  Niall Gallagher

Method Summary
`java.lang.String` `replace(java.lang.String text)` Replaces the text provided with some property.

Method Detail

### replace

    java.lang.String replace(java.lang.String text)

  Replaces the text provided with some property. This method acts much like a the get method of the `Map` object, in that it uses the provided text as a key to some value. However it can also be used to evaluate expressions and output the result for inclusion in the generated XML.

  Parameters:
    `text` - this is the text value that is to be replaced
  Returns:
    returns a replacement for the provided text value